# IceGrid::FileParser

## Overview

### interface FileParser

`icegridadmin` provides a FileParser object to transform XML files into ApplicationDescriptor objects.

## Operations

### ApplicationDescriptor parse(string xmlFile, Admin* adminProxy) throws ParseException

Parse a file.

#### Parameters

xmlFile
  Full pathname to the file.
adminProxy
  An Admin proxy, used only to retrieve default templates when needed. May be null.

#### Return Value

s The application descriptor.

#### Exceptions

ParseException
  Raised if an error occurred during parsing.